org.apache.tinkerpop.gremlin.language.grammar

## Class GremlinStringConstantsVisitor

- java.lang.Object
- - org.antlr.v4.runtime.tree.AbstractParseTreeVisitor<T>
  - - org.apache.tinkerpop.gremlin.language.grammar.GremlinBaseVisitor<Object>
    - - org.apache.tinkerpop.gremlin.language.grammar.GremlinStringConstantsVisitor

- All Implemented Interfaces:
    org.antlr.v4.runtime.tree.ParseTreeVisitor<Object>, GremlinVisitor<Object>

      public class GremlinStringConstantsVisitor
      extends GremlinBaseVisitor<Object>

  Covers `String` oriented constants used as arguments to `GraphTraversal.with(String)` steps.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GremlinStringConstantsVisitor` | `getInstance()`
    `Object` | `visitConnectedComponentStringConstant(GremlinParser.ConnectedComponentStringConstantContext ctx)` Visit a parse tree produced by `GremlinParser.connectedComponentStringConstant()`.
    `Object` | `visitGremlinStringConstants_connectedComponentStringConstants_component(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_componentContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_component()`.
    `Object` | `visitGremlinStringConstants_connectedComponentStringConstants_edges(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_edgesContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_edges()`.
    `Object` | `visitGremlinStringConstants_connectedComponentStringConstants_propertyName(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_propertyNameContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_propertyName()`.
    `Object` | `visitGremlinStringConstants_ioOptionsStringConstants_graphml(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_graphmlContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_graphml()`.
    `Object` | `visitGremlinStringConstants_ioOptionsStringConstants_graphson(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_graphsonContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_graphson()`.
    `Object` | `visitGremlinStringConstants_ioOptionsStringConstants_gryo(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_gryoContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_gryo()`.
    `Object` | `visitGremlinStringConstants_ioOptionsStringConstants_reader(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_readerContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_reader()`.
    `Object` | `visitGremlinStringConstants_ioOptionsStringConstants_writer(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_writerContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_writer()`.
    `Object` | `visitGremlinStringConstants_pageRankStringConstants_edges(GremlinParser.GremlinStringConstants_pageRankStringConstants_edgesContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_edges()`.
    `Object` | `visitGremlinStringConstants_pageRankStringConstants_propertyName(GremlinParser.GremlinStringConstants_pageRankStringConstants_propertyNameContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_propertyName()`.
    `Object` | `visitGremlinStringConstants_pageRankStringConstants_times(GremlinParser.GremlinStringConstants_pageRankStringConstants_timesContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_times()`.
    `Object` | `visitGremlinStringConstants_peerPressureStringConstants_edges(GremlinParser.GremlinStringConstants_peerPressureStringConstants_edgesContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_edges()`.
    `Object` | `visitGremlinStringConstants_peerPressureStringConstants_propertyName(GremlinParser.GremlinStringConstants_peerPressureStringConstants_propertyNameContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_propertyName()`.
    `Object` | `visitGremlinStringConstants_peerPressureStringConstants_times(GremlinParser.GremlinStringConstants_peerPressureStringConstants_timesContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_times()`.
    `Object` | `visitGremlinStringConstants_shortestPathStringConstants_distance(GremlinParser.GremlinStringConstants_shortestPathStringConstants_distanceContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_distance()`.
    `Object` | `visitGremlinStringConstants_shortestPathStringConstants_edges(GremlinParser.GremlinStringConstants_shortestPathStringConstants_edgesContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_edges()`.
    `Object` | `visitGremlinStringConstants_shortestPathStringConstants_includeEdges(GremlinParser.GremlinStringConstants_shortestPathStringConstants_includeEdgesContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_includeEdges()`.
    `Object` | `visitGremlinStringConstants_shortestPathStringConstants_maxDistance(GremlinParser.GremlinStringConstants_shortestPathStringConstants_maxDistanceContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_maxDistance()`.
    `Object` | `visitGremlinStringConstants_shortestPathStringConstants_target(GremlinParser.GremlinStringConstants_shortestPathStringConstants_targetContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_target()`.
    `Object` | `visitGremlinStringConstants_withOptionsStringConstants_all(GremlinParser.GremlinStringConstants_withOptionsStringConstants_allContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_all()`.
    `Object` | `visitGremlinStringConstants_withOptionsStringConstants_ids(GremlinParser.GremlinStringConstants_withOptionsStringConstants_idsContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_ids()`.
    `Object` | `visitGremlinStringConstants_withOptionsStringConstants_indexer(GremlinParser.GremlinStringConstants_withOptionsStringConstants_indexerContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_indexer()`.
    `Object` | `visitGremlinStringConstants_withOptionsStringConstants_keys(GremlinParser.GremlinStringConstants_withOptionsStringConstants_keysContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_keys()`.
    `Object` | `visitGremlinStringConstants_withOptionsStringConstants_labels(GremlinParser.GremlinStringConstants_withOptionsStringConstants_labelsContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_labels()`.
    `Object` | `visitGremlinStringConstants_withOptionsStringConstants_list(GremlinParser.GremlinStringConstants_withOptionsStringConstants_listContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_list()`.
    `Object` | `visitGremlinStringConstants_withOptionsStringConstants_map(GremlinParser.GremlinStringConstants_withOptionsStringConstants_mapContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_map()`.
    `Object` | `visitGremlinStringConstants_withOptionsStringConstants_none(GremlinParser.GremlinStringConstants_withOptionsStringConstants_noneContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_none()`.
    `Object` | `visitGremlinStringConstants_withOptionsStringConstants_tokens(GremlinParser.GremlinStringConstants_withOptionsStringConstants_tokensContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_tokens()`.
    `Object` | `visitGremlinStringConstants_withOptionsStringConstants_values(GremlinParser.GremlinStringConstants_withOptionsStringConstants_valuesContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_values()`.
    `Object` | `visitGremlinStringConstants(GremlinParser.GremlinStringConstantsContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants()`.
    `Object` | `visitIoOptionsStringConstants(GremlinParser.IoOptionsStringConstantsContext ctx)` Visit a parse tree produced by `GremlinParser.ioOptionsStringConstants()`.
    `Object` | `visitPageRankStringConstants(GremlinParser.PageRankStringConstantsContext ctx)` Visit a parse tree produced by `GremlinParser.pageRankStringConstants()`.
    `Object` | `visitPeerPressureStringConstants(GremlinParser.PeerPressureStringConstantsContext ctx)` Visit a parse tree produced by `GremlinParser.peerPressureStringConstants()`.
    `Object` | `visitShortestPathStringConstants(GremlinParser.ShortestPathStringConstantsContext ctx)` Visit a parse tree produced by `GremlinParser.shortestPathStringConstants()`.
    `Object` | `visitWithOptionsStringConstants(GremlinParser.WithOptionsStringConstantsContext ctx)` Visit a parse tree produced by `GremlinParser.withOptionsStringConstants()`.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.language.grammar.GremlinBaseVisitor

      `visitBooleanLiteral, visitChainedParentOfGraphTraversal, visitChainedTraversal, visitConnectedComponentConstants, visitDateLiteral, visitEmptyQuery, visitFloatLiteral, visitGenericLiteral, visitGenericLiteralCollection, visitGenericLiteralExpr, visitGenericLiteralList, visitGenericLiteralMap, visitGenericLiteralRange, visitIntegerLiteral, visitIoOptionsStringConstant, visitNestedTraversal, visitNestedTraversalExpr, visitNestedTraversalList, visitNullLiteral, visitPageRankStringConstant, visitPeerPressureStringConstant, visitQuery, visitQueryList, visitRootTraversal, visitShortestPathStringConstant, visitStringLiteral, visitStringLiteralExpr, visitStringLiteralList, visitTerminatedTraversal, visitTransactionPart, visitTraversalBiFunction, visitTraversalCardinality, visitTraversalColumn, visitTraversalComparator, visitTraversalDirection, visitTraversalFunction, visitTraversalMethod_addE_String, visitTraversalMethod_addE_Traversal, visitTraversalMethod_addV_Empty, visitTraversalMethod_addV_String, visitTraversalMethod_addV_Traversal, visitTraversalMethod_aggregate_Scope_String, visitTraversalMethod_aggregate_String, visitTraversalMethod_and, visitTraversalMethod_as, visitTraversalMethod_barrier_Consumer, visitTraversalMethod_barrier_Empty, visitTraversalMethod_barrier_int, visitTraversalMethod_both, visitTraversalMethod_bothE, visitTraversalMethod_bothV, visitTraversalMethod_branch, visitTraversalMethod_by_Comparator, visitTraversalMethod_by_Empty, visitTraversalMethod_by_Function_Comparator, visitTraversalMethod_by_Function, visitTraversalMethod_by_Order, visitTraversalMethod_by_String_Comparator, visitTraversalMethod_by_String, visitTraversalMethod_by_T, visitTraversalMethod_by_Traversal_Comparator, visitTraversalMethod_by_Traversal, visitTraversalMethod_cap, visitTraversalMethod_choose_Function, visitTraversalMethod_choose_Predicate_Traversal_Traversal, visitTraversalMethod_choose_Predicate_Traversal, visitTraversalMethod_choose_Traversal_Traversal_Traversal, visitTraversalMethod_choose_Traversal_Traversal, visitTraversalMethod_choose_Traversal, visitTraversalMethod_coalesce, visitTraversalMethod_coin, visitTraversalMethod_connectedComponent, visitTraversalMethod_constant, visitTraversalMethod_count_Empty, visitTraversalMethod_count_Scope, visitTraversalMethod_cyclicPath, visitTraversalMethod_dedup_Scope_String, visitTraversalMethod_dedup_String, visitTraversalMethod_drop, visitTraversalMethod_elementMap, visitTraversalMethod_emit_Empty, visitTraversalMethod_emit_Predicate, visitTraversalMethod_emit_Traversal, visitTraversalMethod_filter_Predicate, visitTraversalMethod_filter_Traversal, visitTraversalMethod_flatMap, visitTraversalMethod_fold_Empty, visitTraversalMethod_fold_Object_BiFunction, visitTraversalMethod_from_String, visitTraversalMethod_from_Traversal, visitTraversalMethod_group_Empty, visitTraversalMethod_group_String, visitTraversalMethod_groupCount_Empty, visitTraversalMethod_groupCount_String, visitTraversalMethod_has_String_Object, visitTraversalMethod_has_String_P, visitTraversalMethod_has_String_String_Object, visitTraversalMethod_has_String_String_P, visitTraversalMethod_has_String_Traversal, visitTraversalMethod_has_String, visitTraversalMethod_has_T_Object, visitTraversalMethod_has_T_P, visitTraversalMethod_has_T_Traversal, visitTraversalMethod_hasId_Object_Object, visitTraversalMethod_hasId_P, visitTraversalMethod_hasKey_P, visitTraversalMethod_hasKey_String_String, visitTraversalMethod_hasLabel_P, visitTraversalMethod_hasLabel_String_String, visitTraversalMethod_hasNot, visitTraversalMethod_hasValue_Object_Object, visitTraversalMethod_hasValue_P, visitTraversalMethod_id, visitTraversalMethod_identity, visitTraversalMethod_in, visitTraversalMethod_index, visitTraversalMethod_inE, visitTraversalMethod_inject, visitTraversalMethod_inV, visitTraversalMethod_is_Object, visitTraversalMethod_is_P, visitTraversalMethod_key, visitTraversalMethod_label, visitTraversalMethod_limit_long, visitTraversalMethod_limit_Scope_long, visitTraversalMethod_local, visitTraversalMethod_loops_Empty, visitTraversalMethod_loops_String, visitTraversalMethod_map, visitTraversalMethod_match, visitTraversalMethod_math, visitTraversalMethod_max_Empty, visitTraversalMethod_max_Scope, visitTraversalMethod_mean_Empty, visitTraversalMethod_mean_Scope, visitTraversalMethod_min_Empty, visitTraversalMethod_min_Scope, visitTraversalMethod_not, visitTraversalMethod_option_Object_Traversal, visitTraversalMethod_option_Predicate_Traversal, visitTraversalMethod_option_Traversal, visitTraversalMethod_optional, visitTraversalMethod_or, visitTraversalMethod_order_Empty, visitTraversalMethod_order_Scope, visitTraversalMethod_otherV, visitTraversalMethod_out, visitTraversalMethod_outE, visitTraversalMethod_outV, visitTraversalMethod_pageRank_double, visitTraversalMethod_pageRank_Empty, visitTraversalMethod_path, visitTraversalMethod_peerPressure, visitTraversalMethod_profile_Empty, visitTraversalMethod_profile_String, visitTraversalMethod_project, visitTraversalMethod_properties, visitTraversalMethod_property_Cardinality_Object_Object_Object, visitTraversalMethod_property_Object_Object_Object, visitTraversalMethod_propertyMap, visitTraversalMethod_range_long_long, visitTraversalMethod_range_Scope_long_long, visitTraversalMethod_read, visitTraversalMethod_repeat_String_Traversal, visitTraversalMethod_repeat_Traversal, visitTraversalMethod_sack_BiFunction, visitTraversalMethod_sack_Empty, visitTraversalMethod_sample_int, visitTraversalMethod_sample_Scope_int, visitTraversalMethod_select_Column, visitTraversalMethod_select_Pop_String_String_String, visitTraversalMethod_select_Pop_String, visitTraversalMethod_select_Pop_Traversal, visitTraversalMethod_select_String_String_String, visitTraversalMethod_select_String, visitTraversalMethod_select_Traversal, visitTraversalMethod_shortestPath, visitTraversalMethod_sideEffect, visitTraversalMethod_simplePath, visitTraversalMethod_skip_long, visitTraversalMethod_skip_Scope_long, visitTraversalMethod_store, visitTraversalMethod_subgraph, visitTraversalMethod_sum_Empty, visitTraversalMethod_sum_Scope, visitTraversalMethod_tail_Empty, visitTraversalMethod_tail_long, visitTraversalMethod_tail_Scope_long, visitTraversalMethod_tail_Scope, visitTraversalMethod_timeLimit, visitTraversalMethod_times, visitTraversalMethod_to_Direction_String, visitTraversalMethod_to_String, visitTraversalMethod_to_Traversal, visitTraversalMethod_toE, visitTraversalMethod_toV, visitTraversalMethod_tree_Empty, visitTraversalMethod_tree_String, visitTraversalMethod_unfold, visitTraversalMethod_union, visitTraversalMethod_until_Predicate, visitTraversalMethod_until_Traversal, visitTraversalMethod_V, visitTraversalMethod_value, visitTraversalMethod_valueMap_boolean_String, visitTraversalMethod_valueMap_String, visitTraversalMethod_values, visitTraversalMethod_where_P, visitTraversalMethod_where_String_P, visitTraversalMethod_where_Traversal, visitTraversalMethod_with_String_Object, visitTraversalMethod_with_String, visitTraversalMethod_write, visitTraversalMethod, visitTraversalOperator, visitTraversalOptionParent, visitTraversalOrder, visitTraversalPop, visitTraversalPredicate_between, visitTraversalPredicate_containing, visitTraversalPredicate_endingWith, visitTraversalPredicate_eq, visitTraversalPredicate_gt, visitTraversalPredicate_gte, visitTraversalPredicate_inside, visitTraversalPredicate_lt, visitTraversalPredicate_lte, visitTraversalPredicate_neq, visitTraversalPredicate_not, visitTraversalPredicate_notContaining, visitTraversalPredicate_notEndingWith, visitTraversalPredicate_notStartingWith, visitTraversalPredicate_outside, visitTraversalPredicate_startingWith, visitTraversalPredicate_within, visitTraversalPredicate_without, visitTraversalPredicate, visitTraversalSackMethod, visitTraversalScope, visitTraversalSelfMethod_none, visitTraversalSelfMethod, visitTraversalSource, visitTraversalSourceSelfMethod_with, visitTraversalSourceSelfMethod_withBulk, visitTraversalSourceSelfMethod_withPath, visitTraversalSourceSelfMethod_withSack, visitTraversalSourceSelfMethod_withSideEffect, visitTraversalSourceSelfMethod_withStrategies, visitTraversalSourceSelfMethod, visitTraversalSourceSpawnMethod_addE, visitTraversalSourceSpawnMethod_addV, visitTraversalSourceSpawnMethod_E, visitTraversalSourceSpawnMethod_inject, visitTraversalSourceSpawnMethod_io, visitTraversalSourceSpawnMethod_V, visitTraversalSourceSpawnMethod, visitTraversalStrategy, visitTraversalStrategyArgs_EdgeLabelVerificationStrategy, visitTraversalStrategyArgs_PartitionStrategy, visitTraversalStrategyArgs_ProductiveByStrategy, visitTraversalStrategyArgs_ReservedKeysVerificationStrategy, visitTraversalStrategyArgs_SubgraphStrategy, visitTraversalStrategyExpr, visitTraversalStrategyList, visitTraversalTerminalMethod_explain, visitTraversalTerminalMethod_hasNext, visitTraversalTerminalMethod_iterate, visitTraversalTerminalMethod_next, visitTraversalTerminalMethod_toBulkSet, visitTraversalTerminalMethod_toList, visitTraversalTerminalMethod_toSet, visitTraversalTerminalMethod_tryNext, visitTraversalTerminalMethod, visitTraversalToken, visitWithOptionsStringConstant`

    - ### Methods inherited from class org.antlr.v4.runtime.tree.AbstractParseTreeVisitor

      `aggregateResult, defaultResult, shouldVisitNextChild, visit, visitChildren, visitErrorNode, visitTerminal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeVisitor

      `visit, visitChildren, visitErrorNode, visitTerminal`

- - ### Method Detail

    - #### getInstance

          public static GremlinStringConstantsVisitor getInstance()

    - #### visitGremlinStringConstants

          public Object visitGremlinStringConstants(GremlinParser.GremlinStringConstantsContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitConnectedComponentStringConstant

          public Object visitConnectedComponentStringConstant(GremlinParser.ConnectedComponentStringConstantContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.connectedComponentStringConstant()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitConnectedComponentStringConstant` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitConnectedComponentStringConstant` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitPageRankStringConstants

          public Object visitPageRankStringConstants(GremlinParser.PageRankStringConstantsContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.pageRankStringConstants()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitPageRankStringConstants` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitPageRankStringConstants` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitPeerPressureStringConstants

          public Object visitPeerPressureStringConstants(GremlinParser.PeerPressureStringConstantsContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.peerPressureStringConstants()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitPeerPressureStringConstants` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitPeerPressureStringConstants` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitShortestPathStringConstants

          public Object visitShortestPathStringConstants(GremlinParser.ShortestPathStringConstantsContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.shortestPathStringConstants()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitShortestPathStringConstants` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitShortestPathStringConstants` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitWithOptionsStringConstants

          public Object visitWithOptionsStringConstants(GremlinParser.WithOptionsStringConstantsContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.withOptionsStringConstants()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitWithOptionsStringConstants` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitWithOptionsStringConstants` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitIoOptionsStringConstants

          public Object visitIoOptionsStringConstants(GremlinParser.IoOptionsStringConstantsContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.ioOptionsStringConstants()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitIoOptionsStringConstants` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitIoOptionsStringConstants` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_connectedComponentStringConstants_edges

          public Object visitGremlinStringConstants_connectedComponentStringConstants_edges(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_edgesContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_edges()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_connectedComponentStringConstants_edges` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_connectedComponentStringConstants_edges` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_connectedComponentStringConstants_component

          public Object visitGremlinStringConstants_connectedComponentStringConstants_component(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_componentContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_component()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_connectedComponentStringConstants_component` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_connectedComponentStringConstants_component` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_connectedComponentStringConstants_propertyName

          public Object visitGremlinStringConstants_connectedComponentStringConstants_propertyName(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_propertyNameContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_propertyName()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_connectedComponentStringConstants_propertyName` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_connectedComponentStringConstants_propertyName` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_pageRankStringConstants_edges

          public Object visitGremlinStringConstants_pageRankStringConstants_edges(GremlinParser.GremlinStringConstants_pageRankStringConstants_edgesContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_edges()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_pageRankStringConstants_edges` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_pageRankStringConstants_edges` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_pageRankStringConstants_times

          public Object visitGremlinStringConstants_pageRankStringConstants_times(GremlinParser.GremlinStringConstants_pageRankStringConstants_timesContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_times()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_pageRankStringConstants_times` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_pageRankStringConstants_times` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_pageRankStringConstants_propertyName

          public Object visitGremlinStringConstants_pageRankStringConstants_propertyName(GremlinParser.GremlinStringConstants_pageRankStringConstants_propertyNameContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_propertyName()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_pageRankStringConstants_propertyName` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_pageRankStringConstants_propertyName` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_peerPressureStringConstants_edges

          public Object visitGremlinStringConstants_peerPressureStringConstants_edges(GremlinParser.GremlinStringConstants_peerPressureStringConstants_edgesContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_edges()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_peerPressureStringConstants_edges` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_peerPressureStringConstants_edges` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_peerPressureStringConstants_times

          public Object visitGremlinStringConstants_peerPressureStringConstants_times(GremlinParser.GremlinStringConstants_peerPressureStringConstants_timesContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_times()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_peerPressureStringConstants_times` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_peerPressureStringConstants_times` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_peerPressureStringConstants_propertyName

          public Object visitGremlinStringConstants_peerPressureStringConstants_propertyName(GremlinParser.GremlinStringConstants_peerPressureStringConstants_propertyNameContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_propertyName()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_peerPressureStringConstants_propertyName` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_peerPressureStringConstants_propertyName` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_shortestPathStringConstants_target

          public Object visitGremlinStringConstants_shortestPathStringConstants_target(GremlinParser.GremlinStringConstants_shortestPathStringConstants_targetContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_target()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_shortestPathStringConstants_target` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_shortestPathStringConstants_target` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_shortestPathStringConstants_edges

          public Object visitGremlinStringConstants_shortestPathStringConstants_edges(GremlinParser.GremlinStringConstants_shortestPathStringConstants_edgesContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_edges()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_shortestPathStringConstants_edges` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_shortestPathStringConstants_edges` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_shortestPathStringConstants_distance

          public Object visitGremlinStringConstants_shortestPathStringConstants_distance(GremlinParser.GremlinStringConstants_shortestPathStringConstants_distanceContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_distance()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_shortestPathStringConstants_distance` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_shortestPathStringConstants_distance` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_shortestPathStringConstants_maxDistance

          public Object visitGremlinStringConstants_shortestPathStringConstants_maxDistance(GremlinParser.GremlinStringConstants_shortestPathStringConstants_maxDistanceContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_maxDistance()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_shortestPathStringConstants_maxDistance` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_shortestPathStringConstants_maxDistance` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_shortestPathStringConstants_includeEdges

          public Object visitGremlinStringConstants_shortestPathStringConstants_includeEdges(GremlinParser.GremlinStringConstants_shortestPathStringConstants_includeEdgesContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_includeEdges()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_shortestPathStringConstants_includeEdges` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_shortestPathStringConstants_includeEdges` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_withOptionsStringConstants_tokens

          public Object visitGremlinStringConstants_withOptionsStringConstants_tokens(GremlinParser.GremlinStringConstants_withOptionsStringConstants_tokensContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_tokens()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_withOptionsStringConstants_tokens` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_withOptionsStringConstants_tokens` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_withOptionsStringConstants_none

          public Object visitGremlinStringConstants_withOptionsStringConstants_none(GremlinParser.GremlinStringConstants_withOptionsStringConstants_noneContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_none()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_withOptionsStringConstants_none` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_withOptionsStringConstants_none` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_withOptionsStringConstants_ids

          public Object visitGremlinStringConstants_withOptionsStringConstants_ids(GremlinParser.GremlinStringConstants_withOptionsStringConstants_idsContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_ids()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_withOptionsStringConstants_ids` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_withOptionsStringConstants_ids` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_withOptionsStringConstants_labels

          public Object visitGremlinStringConstants_withOptionsStringConstants_labels(GremlinParser.GremlinStringConstants_withOptionsStringConstants_labelsContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_labels()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_withOptionsStringConstants_labels` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_withOptionsStringConstants_labels` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_withOptionsStringConstants_keys

          public Object visitGremlinStringConstants_withOptionsStringConstants_keys(GremlinParser.GremlinStringConstants_withOptionsStringConstants_keysContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_keys()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_withOptionsStringConstants_keys` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_withOptionsStringConstants_keys` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_withOptionsStringConstants_values

          public Object visitGremlinStringConstants_withOptionsStringConstants_values(GremlinParser.GremlinStringConstants_withOptionsStringConstants_valuesContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_values()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_withOptionsStringConstants_values` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_withOptionsStringConstants_values` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_withOptionsStringConstants_all

          public Object visitGremlinStringConstants_withOptionsStringConstants_all(GremlinParser.GremlinStringConstants_withOptionsStringConstants_allContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_all()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_withOptionsStringConstants_all` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_withOptionsStringConstants_all` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_withOptionsStringConstants_indexer

          public Object visitGremlinStringConstants_withOptionsStringConstants_indexer(GremlinParser.GremlinStringConstants_withOptionsStringConstants_indexerContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_indexer()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_withOptionsStringConstants_indexer` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_withOptionsStringConstants_indexer` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_withOptionsStringConstants_list

          public Object visitGremlinStringConstants_withOptionsStringConstants_list(GremlinParser.GremlinStringConstants_withOptionsStringConstants_listContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_list()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_withOptionsStringConstants_list` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_withOptionsStringConstants_list` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_withOptionsStringConstants_map

          public Object visitGremlinStringConstants_withOptionsStringConstants_map(GremlinParser.GremlinStringConstants_withOptionsStringConstants_mapContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_map()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_withOptionsStringConstants_map` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_withOptionsStringConstants_map` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_ioOptionsStringConstants_reader

          public Object visitGremlinStringConstants_ioOptionsStringConstants_reader(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_readerContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_reader()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_ioOptionsStringConstants_reader` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_ioOptionsStringConstants_reader` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_ioOptionsStringConstants_writer

          public Object visitGremlinStringConstants_ioOptionsStringConstants_writer(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_writerContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_writer()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_ioOptionsStringConstants_writer` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_ioOptionsStringConstants_writer` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_ioOptionsStringConstants_gryo

          public Object visitGremlinStringConstants_ioOptionsStringConstants_gryo(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_gryoContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_gryo()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_ioOptionsStringConstants_gryo` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_ioOptionsStringConstants_gryo` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_ioOptionsStringConstants_graphson

          public Object visitGremlinStringConstants_ioOptionsStringConstants_graphson(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_graphsonContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_graphson()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_ioOptionsStringConstants_graphson` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_ioOptionsStringConstants_graphson` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_ioOptionsStringConstants_graphml

          public Object visitGremlinStringConstants_ioOptionsStringConstants_graphml(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_graphmlContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_graphml()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGremlinStringConstants_ioOptionsStringConstants_graphml` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGremlinStringConstants_ioOptionsStringConstants_graphml` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.